Package clientP2P

## Class ClientManagementUDP

- java.lang.Object
- - clientP2P.ClientManagementUDP

- All Implemented Interfaces:
    `java.lang.Runnable`

      public class ClientManagementUDP
      extends java.lang.Object
      implements java.lang.Runnable

  Implementation of P2P-JAVA-PROJECT CLIENT
  Version:
    1.0
  Author:
    Louis Royer, Flavien Haas, JS Auge

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ClientManagementUDP​(java.lang.String baseDirectory, java.lang.String host, int UDPPort)` | Constructor for UDP implementation, with baseDirectory and UDPPort parameters.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `run()` | Implementation of Runnable

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientManagementUDP

          public ClientManagementUDP​(java.lang.String baseDirectory,
                                     java.lang.String host,
                                     int UDPPort)

      Constructor for UDP implementation, with baseDirectory and UDPPort parameters.
      Parameters:
        `baseDirectory` - the root directory where files are stored
        `host` - hostname of the server
        `UDPPort` - the server will listen on this port

  - ### Method Detail

    - #### run

          public void run()

      Implementation of Runnable
      Specified by:
        `run` in interface `java.lang.Runnable`